CFB_RequireFullDataBlocks< BASE > Class Template Reference

Base class for feedback based stream ciphers with a mandatory block size. More...

`#include <strciphr.h>`

Inheritance diagram for CFB_RequireFullDataBlocks< BASE >:

## Public Member Functions

unsigned int | MandatoryBlockSize () const

## Detailed Description

template<class BASE>
class CFB_RequireFullDataBlocks< BASE >

Base class for feedback based stream ciphers with a mandatory block size.

Template Parameters

  BASE | CFB_EncryptionTemplate or CFB_DecryptionTemplate base class

Definition at line 672 of file strciphr.h.

## Member Function Documentation

## MandatoryBlockSize()

template<class BASE >

unsigned int CFB_RequireFullDataBlocks< BASE >::MandatoryBlockSize | ( |  | ) | const

inline

Definition at line 675 of file strciphr.h.

The documentation for this class was generated from the following file:

- strciphr.h